## mintpy 1.3.3

=== docs/requirements.txt ===
# requirements4rtd.txt for readthedocs, which uses pip with limited memory usage
# requirements.txt     for dependency installation via conda
# environment.yml      for dependency installation via conda and create a new environment
# ports.txt            for dependency installation via mac-ports
# setup.py             for mintpy     installation via pip after the dependency installation above
python>=3.6
pip
cartopy
cvxopt
dask>=1.0
dask-jobqueue>=0.3
defusedxml
h5py
joblib
lxml
matplotlib
numpy
pyaps3
pykml>=0.2
pyproj
pysolid
scikit-image
scipy
# for ARIA, FRInGE, HyP3, GMTSAR
# gdal>=3
# for pyresample
pyresample
openmp

=== debian/changelog ===
mintpy (1.3.3-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Jul 2022 18:07:59 +0200

mintpy (1.3.3-1) unstable; urgency=low

  * Initial version (Closes: #1011005).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 30 Jun 2022 06:51:21 +0000

=== debian/control ===
Source: mintpy
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-python,
               mkdocs,
               pybuild-plugin-pyproject,
               python3-all,
               python3-cartopy,
               python3-cvxopt,
               python3-dask,
               python3-defusedxml,
               python3-distributed,
               python3-h5py,
               python3-joblib,
               python3-lxml,
               python3-matplotlib,
               python3-numpy,
               python3-pyaps3,
               python3-pykml,
               python3-pyproj,
               python3-pyresample,
               python3-pysolid,
               python3-scipy,
               python3-setuptools,
               python3-skimage
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/mintpy
Vcs-Git: https://salsa.debian.org/debian-gis-team/mintpy.git
Homepage: https://github.com/insarlab/MintPy

Package: python3-mintpy
Architecture: all
Depends: python3-distributed,
         python3-pysolid,
         ${python3:Depends},
         ${misc:Depends}
Suggests: python-mintpy-doc
Description: Miami INsar Time-series software in PYthon
 The Miami INsar Time-series software in PYthon (MintPy as /mInt paI/)
 is an open-source package for Interferometric Synthetic Aperture Radar
 (InSAR) time series analysis.
 It reads the stack of interferograms (coregistered and unwrapped) in
 ISCE, ARIA, FRInGE, HyP3, GMTSAR, SNAP, GAMMA or ROI_PAC format,
 and produces three dimensional (2D in space and 1D in time)
 ground surface displacement in line-of-sight direction.
 It includes a routine time series analysis (`smallbaselineApp.py`) and
 some independent toolbox.

Package: mintpy
Architecture: all
Section: utils
Depends: python3-mintpy (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Description: Miami INsar Time-series software in PYthon -- scripts
 The Miami INsar Time-series software in PYthon (MintPy as /mInt paI/)
 is an open-source package for Interferometric Synthetic Aperture Radar
 (InSAR) time series analysis.
 It reads the stack of interferograms (coregistered and unwrapped) in
 ISCE, ARIA, FRInGE, HyP3, GMTSAR, SNAP, GAMMA or ROI_PAC format,
 and produces three dimensional (2D in space and 1D in time)
 ground surface displacement in line-of-sight direction.
 It includes a routine time series analysis (`smallbaselineApp.py`) and
 some independent toolbox.
 .
 This package contain executable programs provided by the MintPy Python
 package.

Package: python-mintpy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${mkdocs:Depends}
Suggests: www-browser
Description: Miami INsar Time-series software in PYthon documentation
 The Miami INsar Time-series software in PYthon (MintPy as /mInt paI/)
 is an open-source package for Interferometric Synthetic Aperture Radar
 (InSAR) time series analysis.
 It reads the stack of interferograms (coregistered and unwrapped) in
 ISCE, ARIA, FRInGE, HyP3, GMTSAR, SNAP, GAMMA or ROI_PAC format,
 and produces three dimensional (2D in space and 1D in time)
 ground surface displacement in line-of-sight direction.
 It includes a routine time series analysis (`smallbaselineApp.py`) and
 some independent toolbox.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/mintpy/sh'

%:
	dh $@ --with python3,mkdocs --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r *.egg-info

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
        PYBUILD_TEST_ARGS="env PYTHONPATH={build_dir} {interpreter} $(CURDIR)/tests/test_asc_desc2horz_vert.py" \
	dh_auto_test

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	mkdocs build -c -f mkdocs.yml --no-directory-urls -d .pybuild/docs/html
else
	mkdir -p .pybuild/docs/html
endif

## mintpy 1.4.1

=== requirements.txt ===
# requirements.txt          for dependency installation via conda
# docs/environment.yml      for dependency installation via conda and create a new environment
# docs/ports.txt            for dependency installation via mac-ports
# setup.py                  for mintpy     installation via pip after the dependency installation above
# docs/requirements4rtd.txt for readthedocs, which uses pip with limited memory usage
python>=3.6
pip
cartopy
cvxopt
dask>=1.0
dask-jobqueue>=0.3
defusedxml
h5py
joblib
lxml
matplotlib
numpy
pyaps3>=0.3
pykml>=0.2
pyproj
pyresample
pysolid
scikit-image
scipy
# for ISCE, ARIA, FRInGE, HyP3, GMTSAR
# gdal>=3

=== debian/changelog ===
mintpy (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix typo in d/upstream/matadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 16 Aug 2022 07:27:05 +0000

mintpy (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * debian/control:
    - update dependencies.
  * debian/patches:
    - drop 0001-fix-intepreter.patch and 0002-Spelling.patch,
      applied upstream
    - refresh and renumber remaining patches.
  * Update manpages.
  * Update scripts installation.
  * Update ithe test program name.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 05 Aug 2022 14:44:15 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                mkdocs,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-argcomplete,
                python3-cartopy,
                python3-cvxopt,
                python3-dask,
@@ -57,6 +58,7 @@
 Depends: python3-mintpy (= ${source:Version}),
          ${python3:Depends},
          ${misc:Depends}
+Recommends: python3-argcomplete
 Description: Miami INsar Time-series software in PYthon -- scripts
  The Miami INsar Time-series software in PYthon (MintPy as /mInt paI/)
  is an open-source package for Interferometric Synthetic Aperture Radar

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-        PYBUILD_TEST_ARGS="env PYTHONPATH={build_dir} {interpreter} $(CURDIR)/tests/test_asc_desc2horz_vert.py" \
+        PYBUILD_TEST_ARGS="env PYTHONPATH={build_dir} {interpreter} $(CURDIR)/tests/asc_desc2horz_vert.py" \
 	dh_auto_test
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9

## mintpy 1.5.0

=== requirements.txt ===
--- 
+++ 
@@ -10,17 +10,18 @@
 dask>=1.0
 dask-jobqueue>=0.3
 defusedxml
+# gdal>=3     # for ISCE, ARIA, FRInGE, HyP3, GMTSAR users
 h5py
 joblib
 lxml
 matplotlib
 numpy
+pre-commit    # for developers
 pyaps3>=0.3
 pykml>=0.2
 pyproj
 pyresample
 pysolid
+rich
 scikit-image
 scipy
-# for ISCE, ARIA, FRInGE, HyP3, GMTSAR
-# gdal>=3

=== debian/changelog ===
mintpy (1.5.0-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add py3dist override for h5py.

  [ Antonio Valentino ]
  * Add explicit dependency on python3-h5py-serial | python3-h5py-mpi
    in d/control and in d/tests/control.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 23 Dec 2022 09:24:59 +0000

mintpy (1.5.0-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.

  [ Antonio Valentino ]
  * Fix the installation of the /usr/bin/mintpy command line tool.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 22 Dec 2022 17:45:31 +0000

mintpy (1.5.0-2) unstable; urgency=medium

  * Fix dependencies:
    - python3-gdal is now a regular dependency
    - python3-pyfftw is now recommended.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 19 Nov 2022 10:33:02 +0000

mintpy (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches.
  * Fix typo in d/README.debian.
  * debian/control:
    - add build-dependenvy on gdal pyfftw and rich.
  * Update paths in d/copyright.
  * Update lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 19 Nov 2022 08:53:55 +0000

=== debian/control ===
--- 
+++ 
@@ -16,16 +16,19 @@
                python3-dask,
                python3-defusedxml,
                python3-distributed,
-               python3-h5py,
+               python3-gdal,
+               python3-h5py-serial | python3-h5py-mpi,
                python3-joblib,
                python3-lxml,
                python3-matplotlib,
                python3-numpy,
                python3-pyaps3,
+               python3-pyfftw,
                python3-pykml,
                python3-pyproj,
                python3-pyresample,
                python3-pysolid,
+               python3-rich,
                python3-scipy,
                python3-setuptools,
                python3-skimage
@@ -36,10 +39,13 @@
 
 Package: python3-mintpy
 Architecture: all
-Depends: python3-distributed,
+Depends: ${python3:Depends},
+         ${misc:Depends},
+         python3-distributed,
+         python3-h5py-serial | python3-h5py-mpi,
          python3-pysolid,
-         ${python3:Depends},
-         ${misc:Depends}
+         python3-gdal
+Recommends: python3-pyfftw
 Suggests: python-mintpy-doc
 Description: Miami INsar Time-series software in PYthon
  The Miami INsar Time-series software in PYthon (MintPy as /mInt paI/)

=== debian/tests/control ===
Tests: python3
Depends: @, python3-all, python3-h5py-serial | python3-h5py-mpi, python3-pyfftw

## mintpy 1.5.1

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,6 @@
 cvxopt
 dask>=1.0
 dask-jobqueue>=0.3
-defusedxml
 # gdal>=3     # for ISCE, ARIA, FRInGE, HyP3, GMTSAR users
 h5py
 joblib

=== debian/changelog ===
mintpy (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - drop dependency on python3-defusedxml.
  * Update dates in the d/copyright file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 04 Jan 2023 09:10:23 +0000

mintpy (1.5.0-5) unstable; urgency=medium

  * Revert changes on h5py explicit dependeny.
  * Fropy python3-pyfftw ffom test dependencies.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Dec 2022 08:02:05 +0000

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,9 @@
                python3-cartopy,
                python3-cvxopt,
                python3-dask,
-               python3-defusedxml,
                python3-distributed,
                python3-gdal,
-               python3-h5py-serial | python3-h5py-mpi,
+               python3-h5py,
                python3-joblib,
                python3-lxml,
                python3-matplotlib,
@@ -42,7 +41,6 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-distributed,
-         python3-h5py-serial | python3-h5py-mpi,
          python3-pysolid,
          python3-gdal
 Recommends: python3-pyfftw

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/mintpy/sh'
 
 %:
-	dh $@ --with python3,mkdocs --buildsystem=pybuild
+	dh $@ --with python3,numpy3,mkdocs --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -23,3 +23,6 @@
 else
 	mkdir -p .pybuild/docs/html
 endif
+
+override_dh_numpy3:
+	dh_numpy3 -p python3-mintpy

=== debian/tests/control ===
Tests: python3
Depends: @, python3-all

## mintpy 1.5.2

=== requirements.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # requirements.txt          for dependency installation via conda
-# docs/environment.yml      for dependency installation via conda and create a new environment
 # docs/ports.txt            for dependency installation via mac-ports
 # setup.py                  for mintpy     installation via pip after the dependency installation above
 # docs/requirements4rtd.txt for readthedocs, which uses pip with limited memory usage
 python>=3.6
 pip
+argcomplete
 cartopy
 cvxopt
 dask>=1.0
@@ -24,3 +24,4 @@
 rich
 scikit-image
 scipy
+utm

=== debian/changelog ===
mintpy (1.5.2-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Don't override dh_auto_test for custom pybuild system.
  * Remove generated files in clean target.
    (closes: #1045254)

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - add dependency on python3-utm.
  * Switch to autopkgtest-pkg-pybuild.
  * debian/patches:
    - refresh all patches.
  * Update d/python3-mintpy.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Aug 2023 20:39:43 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               mkdocs,
+               mkdocs <!nodoc>,
                pybuild-plugin-pyproject,
                python3-all,
                python3-argcomplete,
@@ -30,8 +30,9 @@
                python3-rich,
                python3-scipy,
                python3-setuptools,
-               python3-skimage
-Standards-Version: 4.6.1
+               python3-skimage,
+               python3-utm
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mintpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mintpy.git
 Homepage: https://github.com/insarlab/MintPy

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS=env PYTHONPATH={build_dir} {interpreter} $(CURDIR)/tests/asc_desc2horz_vert.py
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/mintpy/sh'

%:
	dh $@ --with python3,numpy3,mkdocs --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	mkdocs build -c -f mkdocs.yml --no-directory-urls -d .pybuild/docs/html
else
	mkdir -p .pybuild/docs/html
endif

override_dh_numpy3:
	dh_numpy3 -p python3-mintpy

## mintpy 1.5.3

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 # requirements.txt          for dependency installation via conda
 # docs/ports.txt            for dependency installation via mac-ports
 # setup.py                  for mintpy     installation via pip after the dependency installation above
-# docs/requirements4rtd.txt for readthedocs, which uses pip with limited memory usage
 python>=3.6
 pip
 argcomplete
@@ -24,4 +23,5 @@
 rich
 scikit-image
 scipy
+shapely
 utm

=== debian/changelog ===
mintpy (1.5.3-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Improve lintian overrides.
  * Update the d/copyright file.
  * debian/control:
    - Add dependency on python3-shapely.
    - Update package description.
  * debian/patches:
    - Refresh all patches.

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Nov 2023 07:16:23 +0000

=== debian/control ===
Source: mintpy
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               mkdocs <!nodoc>,
               pybuild-plugin-pyproject,
               python3-all,
               python3-argcomplete,
               python3-cartopy,
               python3-cvxopt,
               python3-dask,
               python3-distributed,
               python3-gdal,
               python3-h5py,
               python3-joblib,
               python3-lxml,
               python3-matplotlib,
               python3-numpy,
               python3-pyaps3,
               python3-pyfftw,
               python3-pykml,
               python3-pyproj,
               python3-pyresample,
               python3-pysolid,
               python3-rich,
               python3-scipy,
               python3-setuptools,
               python3-shapely,
               python3-skimage,
               python3-utm
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/mintpy
Vcs-Git: https://salsa.debian.org/debian-gis-team/mintpy.git
Homepage: https://github.com/insarlab/MintPy
Description: Miami INsar Time-series software in PYthon
 The Miami INsar Time-series software in PYthon (MintPy as /mInt paI/)
 is an open-source package for Interferometric Synthetic Aperture Radar
 (InSAR) time series analysis.
 It reads the stack of interferograms (coregistered and unwrapped) in
 ISCE, ARIA, FRInGE, HyP3, GMTSAR, SNAP, GAMMA or ROI_PAC format,
 and produces three dimensional (2D in space and 1D in time)
 ground surface displacement in line-of-sight direction.
 It includes a routine time series analysis (`smallbaselineApp.py`) and
 some independent toolbox.

Package: python3-mintpy
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-distributed,
         python3-pysolid,
         python3-gdal
Recommends: python3-pyfftw
Suggests: python-mintpy-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: mintpy
Architecture: all
Section: utils
Depends: python3-mintpy (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-argcomplete
Description: ${source:Synopsis} -- scripts
 ${source:Extended-Description}
 .
 This package contain executable programs provided by the MintPy Python
 package.

Package: python-mintpy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${mkdocs:Depends}
Suggests: www-browser
Description: ${source:Synopsis} -- documentation
 ${source:Extended-Description}
 .
 This package contains the HTML documentation.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/mintpy/sh'
 
 %:
-	dh $@ --with python3,numpy3,mkdocs --buildsystem=pybuild
+	dh $@ --with mkdocs --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

## mintpy 1.6.0

=== tests/requirements.txt ===
gdal>=3         # for ISCE-2/3, ARIA, FRInGE, HyP3, GMTSAR users
isce2           # for ISCE-2 users
pre-commit      # for developers
pyfftw
setuptools_scm

=== debian/changelog ===
mintpy (1.6.0-3) unstable; urgency=medium

  * debian/control:
    - Add missing build dependency: python3-setuptools-scm.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Jul 2024 08:20:44 +0000

mintpy (1.6.0-2) unstable; urgency=medium

  * debian/tests:
    - Add autopkgtest-pkg-pybuild.conf file to exclude architectures
      not providing all the dependencies from autopkgtest.
   - Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 14 May 2024 21:33:14 +0000

mintpy (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
    - New 0002-No-pyfftw.patch.
  * debian/control:
    - Temporarily drop dependency from python3-pyfftw.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 10 May 2024 12:52:29 +0000

mintpy (1.5.3-2) unstable; urgency=medium

  * Switch to dh-sequence-*.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 14:15:20 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-mkdocs,
                dh-sequence-numpy3,
                dh-sequence-python3,
                mkdocs <!nodoc>,
@@ -24,7 +25,6 @@
                python3-matplotlib,
                python3-numpy,
                python3-pyaps3,
-               python3-pyfftw,
                python3-pykml,
                python3-pyproj,
                python3-pyresample,
@@ -32,6 +32,7 @@
                python3-rich,
                python3-scipy,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-shapely,
                python3-skimage,
                python3-utm

## mintpy 1.6.1

=== requirements.txt ===
pip
argcomplete
cartopy
cvxopt
dask>=1.0
dask-jobqueue>=0.3
h5py
joblib
lxml
matplotlib
numpy
pyaps3>=0.3
pykml>=0.2
pyproj
pyresample
pysolid
rich
scikit-image
scipy
shapely
utm

=== tests/requirements.txt ===
gdal<=3.8       # for ISCE-2/3, ARIA, FRInGE, HyP3, GMTSAR users; gdal-3.9 could not read GMT *.grd file's coordinate info properly [for GMTSAR]
isce2           # for ISCE-2 users
pre-commit      # for developers
pyfftw
setuptools_scm

=== debian/changelog ===
mintpy (1.6.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Drop 0002-No-pyfftw.patch, applied upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 31 Jul 2024 21:35:56 +0000

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
                python3-shapely,
                python3-skimage,
                python3-utm
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mintpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mintpy.git
 Homepage: https://github.com/insarlab/MintPy

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|mintpy)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/mintpy-$1.$2/ \
https://github.com/insarlab/MintPy/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|mintpy)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mintpy 1.6.2

=== requirements.txt ===
--- 
+++ 
@@ -9,11 +9,12 @@
 lxml
 matplotlib
 numpy
-pyaps3>=0.3
+pyaps3>=0.3.6
 pykml>=0.2
 pyproj
 pyresample
 pysolid
+requests
 rich
 scikit-image
 scipy

=== tests/requirements.txt ===
gdal            # for users of ISCE-2/3, ARIA, FRInGE, HyP3, GMTSAR users
libgdal-netcdf  # for users of GMTSAR users
isce2           # for users of ISCE-2 users
pre-commit      # for developers
pyfftw
setuptools_scm

=== debian/changelog ===
mintpy (1.6.2-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Refresh all patches.
    - Fix privacy breaches.
  * Update dates in d/copyright.
  * debian/control:
    - Add dependency on python3-requests.
  * Set upstream metadata fields: Documentation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Aug 2025 06:54:33 +0000

=== debian/control ===
--- 
+++ 
@@ -24,11 +24,13 @@
                python3-lxml,
                python3-matplotlib,
                python3-numpy,
+               python3-numpy-dev,
                python3-pyaps3,
                python3-pykml,
                python3-pyproj,
                python3-pyresample,
                python3-pysolid,
+               python3-requests,
                python3-rich,
                python3-scipy,
                python3-setuptools,
@@ -36,7 +38,7 @@
                python3-shapely,
                python3-skimage,
                python3-utm
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mintpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mintpy.git
 Homepage: https://github.com/insarlab/MintPy

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/mintpy/sh'
 
 %:
-	dh $@ --with mkdocs --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/insarlab/MintPy/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mintpy 1.6.3

=== tests/requirements.txt ===
--- 
+++ 
@@ -3,4 +3,5 @@
 isce2           # for users of ISCE-2 users
 pre-commit      # for developers
 pyfftw
+pytest
 setuptools_scm

=== debian/changelog ===
mintpy (1.6.3-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 27 Nov 2025 07:33:19 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-mkdocs,
